<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pd@A0055=99999999</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@A0C19=0999</action>
    </script>
  </cheat>

  <cheat desc="Finish this Level Now!"> <comment>To be used in 'Normal Mode' only</comment>
    <script state="on">
      <action>maincpu.pb@A3902=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@A0BB3=09</action>
    </script>
  </cheat>

  <cheat desc="No Speed Limit PL1">
    <script state="run">
      <action>maincpu.pb@A0BB4=00</action>
    </script>
  </cheat>

  <cheat desc="Maximum Speed PL1">
    <script state="run">
      <action>maincpu.pb@A111C=A0</action>
    </script>
  </cheat>

  <cheat desc="Maximum Flame Length PL1">
    <script state="run">
      <action>maincpu.pb@A0BB6=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Bombs PL1">
    <script state="run">
      <action>maincpu.pb@A0BB8=08</action>
    </script>
  </cheat>

  <cheat desc="Maximum Extra Bombs PL1">
    <script state="run">
      <action>maincpu.pb@A0BBA=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>To be used 'Normal Mode' only</comment>
    <script state="run">
      <action>maincpu.pb@A1128=20|(maincpu.pb@A1128 BAND ~20)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@A1128=00|(maincpu.pb@A1128 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Select Bombs PL1">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">Manual</item>
      <item value="0x02">Split</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@A0BB9=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@A0BC3=09</action>
    </script>
  </cheat>

  <cheat desc="No Speed Limit PL2">
    <script state="run">
      <action>maincpu.pb@A0BC4=00</action>
    </script>
  </cheat>

  <cheat desc="Maximum Speed PL2">
    <script state="run">
      <action>maincpu.pb@A115C=A0</action>
    </script>
  </cheat>

  <cheat desc="Maximum Flame Length PL2">
    <script state="run">
      <action>maincpu.pb@A0BC6=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Bombs PL2">
    <script state="run">
      <action>maincpu.pb@A0BC8=08</action>
    </script>
  </cheat>

  <cheat desc="Maximum Extra Bombs PL2">
    <script state="run">
      <action>maincpu.pb@A0BCA=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>To be used 'Normal Mode' only</comment>
    <script state="run">
      <action>maincpu.pb@A1168=20|(maincpu.pb@A1168 BAND ~20)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@A1168=00|(maincpu.pb@A1168 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Select Bombs PL2">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">Manual</item>
      <item value="0x02">Split</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@A0BC9=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@A0BD3=09</action>
    </script>
  </cheat>

  <cheat desc="No Speed Limit PL3">
    <script state="run">
      <action>maincpu.pb@A0BD4=00</action>
    </script>
  </cheat>

  <cheat desc="Maximum Speed PL3">
    <script state="run">
      <action>maincpu.pb@A119C=A0</action>
    </script>
  </cheat>

  <cheat desc="Maximum Flame Length PL3">
    <script state="run">
      <action>maincpu.pb@A0BD6=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Bombs PL3">
    <script state="run">
      <action>maincpu.pb@A0BD8=08</action>
    </script>
  </cheat>

  <cheat desc="Maximum Extra Bombs PL3">
    <script state="run">
      <action>maincpu.pb@A0BDA=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3"> <comment>To be used 'Normal Mode' only</comment>
    <script state="run">
      <action>maincpu.pb@A11A8=20|(maincpu.pb@A11A8 BAND ~20)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@A11A8=00|(maincpu.pb@A11A8 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Select Bombs PL3">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">Manual</item>
      <item value="0x02">Split</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@A0BD9=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL4">
    <script state="run">
      <action>maincpu.pb@A0BE3=09</action>
    </script>
  </cheat>

  <cheat desc="No Speed Limit PL4">
    <script state="run">
      <action>maincpu.pb@A0BE4=00</action>
    </script>
  </cheat>

  <cheat desc="Maximum Speed PL4">
    <script state="run">
      <action>maincpu.pb@A11DC=A0</action>
    </script>
  </cheat>

  <cheat desc="Maximum Flame Length PL4">
    <script state="run">
      <action>maincpu.pb@A0BE6=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Bombs PL4">
    <script state="run">
      <action>maincpu.pb@A0BE8=08</action>
    </script>
  </cheat>

  <cheat desc="Maximum Extra Bombs PL4">
    <script state="run">
      <action>maincpu.pb@A0BEA=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL4"> <comment>To be used 'Normal Mode' only</comment>
    <script state="run">
      <action>maincpu.pb@A11E8=20|(maincpu.pb@A11E8 BAND ~20)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@A11E8=00|(maincpu.pb@A11E8 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Select Bombs PL4">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">Manual</item>
      <item value="0x02">Split</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@A0BE9=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
